expcov                package:spatial                R Documentation

Spatial Covariance Functions

Description:

     Spatial covariance functions for use with 'surf.gls'.

Usage:

     expcov(r, d, alpha = 0, se = 1)
     gaucov(r, d, alpha = 0, se = 1)
     sphercov(r, d, alpha = 0, se = 1, D = 2)

Arguments:

       r: vector of distances at which to evaluate the covariance 

       d: range parameter 

   alpha: proportion of nugget effect 

      se: standard deviation at distance zero 

       D: dimension of spheres. 

Value:

     vector of covariance values.

References:

     Ripley, B. D. (1981) _Spatial Statistics._ Wiley.

     Venables, W. N. and Ripley, B. D. (2002) _Modern Applied
     Statistics with S._ Fourth edition.  Springer.

See Also:

     'surf.gls'

Examples:

     data(topo, package="MASS")
     topo.kr <- surf.ls(2, topo)
     correlogram(topo.kr, 25)
     d <- seq(0, 7, 0.1)
     lines(d, expcov(d, 0.7))

